[SCM] live-build branch, debian, updated. debian/3.0_a54-1-21-g227ae76

Daniel Baumann daniel at debian.org
Sun Jul 29 00:06:33 UTC 2012


The following commit has been merged in the debian branch:
commit 189ea002e45c6385f80b347de83c7cb21c88615e
Author: Daniel Baumann <daniel at debian.org>
Date:   Sat Jul 28 19:23:23 2012 +0200

    Reordering auto/config in lb_config to work with bootstrapping config tree from a git repository.

diff --git a/scripts/build/lb_config b/scripts/build/lb_config
index 7db9e37..b3524e5 100755
--- a/scripts/build/lb_config
+++ b/scripts/build/lb_config
@@ -13,19 +13,6 @@ set -e
 # Including common functions
 ( . "${LIVE_BUILD}/scripts/build.sh" > /dev/null 2>&1 || true ) || . /usr/lib/live/build.sh
 
-# Read meta config
-if [ "${1}" != "noauto" ] && [ -x auto/config ]
-then
-	Echo_message "Executing auto/config script."
-	./auto/config "${@}"
-	exit ${?}
-fi
-
-if [ "${1}" = "noauto" ]
-then
-	shift
-fi
-
 # Setting static variables
 PROGRAM="lb config"
 DESCRIPTION="$(Echo 'create configuration for live-build(7)')"
@@ -881,6 +868,31 @@ Local_arguments ()
 	done
 }
 
+Local_arguments "${@}"
+
+if [ -e .git ]
+then
+	_CONFIG=""
+fi
+
+if [ -n "${_CONFIG}" ]
+then
+	git clone ${_CONFIG} ./
+fi
+
+# Read meta config
+if [ "${1}" != "noauto" ] && [ -x auto/config ]
+then
+	Echo_message "Executing auto/config script."
+	./auto/config "${@}"
+	exit ${?}
+fi
+
+if [ "${1}" = "noauto" ]
+then
+	shift
+fi
+
 # Reading system configuration
 if ! In_list "--ignore-system-defaults" "${@}"
 then
@@ -899,23 +911,6 @@ then
 	Read_conffiles "${_CONFFILE}"
 fi
 
-if [ -n "${_CONFIG}" ]
-then
-	# quick hack with lots of duplication, needs to be unified later on
-	git clone ${_CONFIG}
-	cd $(basename ${_CONFIG} .git)
-
-	# Reading existing configuration
-	Read_conffiles config/all config/common config/bootstrap config/chroot config/binary config/source
-
-	Local_arguments "${@}"
-
-	if [ -n "${_CONFFILE}" ]
-	then
-		Read_conffiles "${_CONFFILE}"
-	fi
-fi
-
 # Setting defaults
 Set_defaults
 

-- 
live-build



More information about the debian-live-changes mailing list